IFAPI_Key_Sign Struct Reference

`#include <fapi_int.h>`

## Data Fields

enum FAPI_SIGN_STATE | state
const char * | keyPath
ESYS_TR | handle
TPM2B_DIGEST | digest
TPMT_SIG_SCHEME | scheme
IFAPI_OBJECT * | key_object
TPMT_SIGNATURE * | tpm_signature
TPMI_YES_NO | decrypt
TPMT_SIGNATURE * | signature
char const * | padding
char * | certificate
uint8_t * | ret_signature
size_t | signatureSize
char * | publicKey

## Detailed Description

The data structure holding internal state of Fapi_Sign.

## Field Documentation

## certificate

char* certificate

Certificate of the signing key.

## decrypt

TPMI_YES_NO decrypt

Switch for symmetric algs

## digest

TPM2B_DIGEST digest

The digest to be signed

## handle

ESYS_TR handle

The ESYS handle of the signing key

## key_object

IFAPI_OBJECT* key_object

The IPAPI object of the signing key

## keyPath

const char* keyPath

The implicit key path

## padding

char const* padding

Optional padding parameter for key sign.

## publicKey

char* publicKey

Public key of the signing key.

## ret_signature

uint8_t* ret_signature

Result signature

## scheme

TPMT_SIG_SCHEME scheme

The signature scheme from profile

## signature

TPMT_SIGNATURE* signature

Produced TPM singature

## state

enum FAPI_SIGN_STATE state

The state of the signing operation

## tpm_signature

TPMT_SIGNATURE* tpm_signature

The signature in TPM format

The documentation for this struct was generated from the following file:

- src/tss2-fapi/fapi_int.h